Patchwork [4,of,6] packaging: let Debian package depends on sensible-utils

login
register
mail settings
Submitter Denis Laxalde
Date Oct. 21, 2019, 10 a.m.
Message ID <82ada7516e83767a743c.1571652056@marimba>
Download mbox | patch
Permalink /patch/42512/
State Accepted
Headers show

Comments

Denis Laxalde - Oct. 21, 2019, 10 a.m.
# HG changeset patch
# User Denis Laxalde <denis@laxalde.org>
# Date 1571644351 -7200
#      Mon Oct 21 09:52:31 2019 +0200
# Node ID 82ada7516e83767a743cd666d084766240a398ef
# Parent  09f95d7a20c6d2e0bf6218e2a5bc9cd2b803c8ec
packaging: let Debian package depends on sensible-utils

This fixes the following Lintian error:

  E: mercurial-common: missing-depends-on-sensible-utils etc/mercurial/hgrc.d/default-tools.rc

Patch

diff --git a/contrib/packaging/debian/control b/contrib/packaging/debian/control
--- a/contrib/packaging/debian/control
+++ b/contrib/packaging/debian/control
@@ -39,6 +39,7 @@  Description: fast, easy to use, distribu
 Package: mercurial-common
 Architecture: all
 Depends:
+ sensible-utils,
  ${misc:Depends},
  ${python3:Depends},
 Recommends: mercurial (= ${source:Version}), ca-certificates